## snpomatic 1.0

=== Makefile ===
# Use g++
CXX=g++
CXXFLAGS=-g -O3
LIBS=-lm

# Use Intel compiler (faster!)
#CXX=icpc
#CXXFLAGS=-g -O2 -ip -align -falign-functions -Wno-deprecated -Isrc -w
#LIBS=



findknownsnps: src/findknownsnps.o src/global_functions.o src/TChromosome.o src/TChromosomalIndices.o src/TAlignmentOutput.o src/TChromosomeAlign.o
	$(CXX) $(CXXFLAGS) $(LIBS) $^ -o $@

reassemble: src/reassemble.o src/global_functions.o src/TChromosome.o src/TChromosomalIndices.o src/TAlignmentOutput.o src/TChromosomeAlign.o
	$(CXX) $(CXXFLAGS) $(LIBS) $^ -o $@

variety: src/variety.o src/global_functions.o src/TChromosome.o src/TChromosomalIndices.o src/TAlignmentOutput.o src/TChromosomeAlign.o
	$(CXX) $(CXXFLAGS) $(LIBS) $^ -o $@

mapcontigs: src/mapcontigs.o src/global_functions.o src/TChromosome.o src/TChromosomalIndices.o src/TAlignmentOutput.o src/TChromosomeAlign.o
	$(CXX) $(CXXFLAGS) $(LIBS) $^ -o $@

ungap: src/ungap.o src/global_functions.o src/TChromosome.o src/TChromosomalIndices.o src/TAlignmentOutput.o src/TChromosomeAlign.o
	$(CXX) $(CXXFLAGS) $(LIBS) $^ -o $@

.cpp.o:
	$(CXX) $(CXXFLAGS) -c $< -o $@

clean:
	rm -f *.o
	rm -f src/*.o
	rm -f findknownsnps
	rm -f variety

## snpomatic 0.0.20151015

=== debian/changelog ===
snpomatic (0.0.20151015-1) unstable; urgency=medium

  * Initial release. (Closes: #807779)

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 12 Dec 2015 20:17:45 +0000

=== debian/control ===
Source: snpomatic
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <sascha@steinbiss.name>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               ruby-ronn,
               antiword
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/snpomatic.git
Vcs-Git: git://anonscm.debian.org/debian-med/snpomatic.git
Homepage: https://github.com/magnusmanske/snpomatic

Package: snpomatic
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: fast, stringent short-read mapping software
 High throughput sequencing technologies generate large amounts of short reads.
 Mapping these to a reference sequence consumes large amounts of processing
 time and memory, and read mapping errors can lead to noisy or incorrect
 alignments.
 .
 SNP-o-matic is a fast, stringent short-read mapping software. It supports a
 multitude of output types and formats, for uses in filtering reads, alignments,
 sequence-based genotyping calls, assisted reassembly of contigs etc.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE := 1

mandir := $(CURDIR)/debian/man
debfolder := $(CURDIR)/debian
export LC_ALL=C

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) clean
	rm -rf debian/findknownsnps.1
	rm -rf debian/findknownsnps.1.html
	rm -f mapcontigs reassemble ungap
	dh_auto_clean --

override_dh_installdocs:
	antiword doc/Manual.doc > doc/Manual.txt
	mkdir -p debian/snpomatic/usr/share/doc/snpomatic
	cp doc/Manual.txt debian/snpomatic/usr/share/doc/snpomatic
	mkdir -p debian/snpomatic/usr/share/doc-base
	cp debian/doc-base debian/snpomatic/usr/share/doc-base/snpomatic-doc
	dh_installdocs --

override_dh_auto_install:
	mkdir -p $(debfolder)/snpomatic/usr/bin
	cp findknownsnps $(debfolder)/snpomatic/usr/bin
	# -- we don't install the others as they seem unmaintained/undocumented
	#cp reassemble $(debfolder)/snpomatic/usr/bin
	#cp variety $(debfolder)/snpomatic/usr/bin
	#cp mapcontigs $(debfolder)/snpomatic/usr/bin
	#cp ungap $(debfolder)/snpomatic/usr/bin

override_dh_installman:
	ronn debian/findknownsnps.1.ronn
	dh_installman --

## snpomatic 1.0

=== debian/changelog ===
snpomatic (1.0-7) unstable; urgency=medium

  * Enable building twice in a row by cleaning antiword output.
    Closes: #1046157

 -- Sascha Steinbiss <satta@debian.org>  Sat, 23 Dec 2023 09:19:24 +0100

snpomatic (1.0-6) unstable; urgency=medium

  * Team upload.

  [ Anatoliy Gunya ]
  * Do not create two identical doc-base files

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update watch file format version to 4.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 01 Mar 2023 08:01:21 +0100

snpomatic (1.0-5) unstable; urgency=medium

  * Update maintainer email address.
  * Update upstream metadata (thanks Steffen Moeller and Andreas Tille).
  * Fix EDAM syntax (thanks Andreas Tille).
  * Use debhelper-compat 12.
  * Bump Standards-Version.
  * Add missing DEP-12 fields.
  * Fix trailing whitespace in d/changelog.
  * Use secure format URL in d/copyright.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 20 Apr 2020 08:32:33 +0200

snpomatic (1.0-4) unstable; urgency=medium

  * Team upload

  [ Steffen Moeller ]
  * debian/upstream/metadata: Added ref to registry entries

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Remove unneeded field Testsuite
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Fri, 06 Jul 2018 18:55:37 +0200

snpomatic (1.0-3) unstable; urgency=medium

  * Fix locale in attempt to ensure reproducible manpages.
  * Switch to asciidoctor instead of ronn, which is unsupported
    upstream and fails on some archs.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 09 Mar 2016 23:10:54 +0000

snpomatic (1.0-2) unstable; urgency=medium

  * Make manpage generation reproducible.
  * Use install instead of cp.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 09 Mar 2016 13:03:17 +0000

snpomatic (1.0-1) unstable; urgency=medium

  * Use new upstream versioning scheme.
  * Add autopkgtest.
  * Bump Standards-Version.
  * Use secure Vcs-Git.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Mon, 07 Mar 2016 19:21:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: snpomatic
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Sascha Steinbiss <sascha@steinbiss.name>
+Uploaders: Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               ruby-ronn,
+Build-Depends: debhelper-compat (= 13),
+               asciidoctor,
                antiword
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/snpomatic.git
-Vcs-Git: git://anonscm.debian.org/debian-med/snpomatic.git
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/med-team/snpomatic
+Vcs-Git: https://salsa.debian.org/med-team/snpomatic.git
 Homepage: https://github.com/magnusmanske/snpomatic
+Rules-Requires-Root: no
 
 Package: snpomatic
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE := 1

mandir := $(CURDIR)/debian/man
debfolder := $(CURDIR)/debian
export LC_ALL=C

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) clean
	rm -rf debian/findknownsnps.1
	rm -rf debian/findknownsnps.1.html
	rm -f mapcontigs reassemble ungap
	rm -f doc/Manual.txt
	dh_auto_clean --

override_dh_installdocs:
	antiword doc/Manual.doc > doc/Manual.txt
	mkdir -p debian/snpomatic/usr/share/doc/snpomatic
	cp doc/Manual.txt debian/snpomatic/usr/share/doc/snpomatic
	dh_installdocs --

override_dh_auto_install:
	mkdir -p $(debfolder)/snpomatic/usr/bin
	install -p findknownsnps $(debfolder)/snpomatic/usr/bin
	# -- we don't install the others as they seem unmaintained/undocumented
	#cp reassemble $(debfolder)/snpomatic/usr/bin
	#cp variety $(debfolder)/snpomatic/usr/bin
	#cp mapcontigs $(debfolder)/snpomatic/usr/bin
	#cp ungap $(debfolder)/snpomatic/usr/bin

override_dh_installman:
	asciidoctor -a docdate='' -b manpage debian/findknownsnps.1.adoc
	dh_installman --

=== debian/watch ===
version=4
https://github.com/magnusmanske/snpomatic/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
